% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/add-tbl.R
\name{dm_mutate_tbl}
\alias{dm_mutate_tbl}
\title{Update tables in a \code{\link{dm}}}
\usage{
dm_mutate_tbl(dm, ...)
}
\arguments{
\item{dm}{A \code{\link{dm}} object.}

\item{...}{One or more tables to update in the \code{dm}.
Must be named.}
}
\description{
\ifelse{html}{\out{<a href='https://www.tidyverse.org/lifecycle/#experimental'><img src='figures/lifecycle-experimental.svg' alt='Experimental lifecycle'></a>}}{\strong{Experimental}}

Updates one or more existing tables in a \code{\link{dm}}.
For now, the column names must be identical.
This restriction may be levied optionally in the future.
}
\examples{
\dontshow{if (rlang::is_installed("nycflights13")) (if (getRversion() >= "3.4") withAutoprint else force)(\{ # examplesIf}
dm_nycflights13() \%>\%
  dm_mutate_tbl(flights = nycflights13::flights[1:3, ])
\dontshow{\}) # examplesIf}
}
\seealso{
\code{\link[=dm_add_tbl]{dm_add_tbl()}}, \code{\link[=dm_rm_tbl]{dm_rm_tbl()}}
}
